/**
 * @program: kicc-ui
 * @description: 生产环境配置全局常量
 * @author: wangxiang4
 * @create: 2022/4/5
 */

export const GLOB_CONFIG_FILE_NAME = '_app.config.js';

export const OUTPUT_DIR = (mode?: string) => {
  if (!mode) {
    // 默认获取vite build --mode xxx
    const reg = new RegExp('--mode ([a-z]+)');
    const result = reg.exec(process.env.npm_lifecycle_script as string) as any;
    mode = result?.[1] || 'prod' as string;
  }
  return `docker/${mode}/dist`;
}
