// 引入基础包
import { Page, CommonEntity } from '/@/api/common/data/entity';
import type { R } from '/#/axios';
// 定义查询参数
export type BoxCardParams = {
    id?: string;
    company?: string;
    iccid?: string;
    card?: string;
} | Page;


export interface BoxCardListItem extends CommonEntity{
    id: string;
    iccid: string;
    card: string;
    company: string;
    isUsed: number;
    status: string;
    createByName: string;
    createByTime: string;

}

export type BoxCardListGetListResult = R<BoxCardListItem>;