
/**
 * @program: kicc-ui
 * @description: 地图物流任务标记点表实体类
 * @author: wangxiang4
 * @since: 2022/8/24
 */

import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type MapLogisticPointParams = Page & MapLogisticPoint;

export interface MapLogisticPoint extends Partial<CommonEntity> {
    id?: string;
    lng?: number;
    lat?: number;
    sort?: number;
    type: string;
    taskType: string;
    hospitalId?: string;
    hospitalName?: string;
    batchCode?: string;
    courierUserId: string;
    mapLogisticId?: string;
    mapTaskId?: string;
    key?: string;
    version?: number;
}

export type MapLogisticPointResult = R<MapLogisticPoint[]>;
