import type { R } from '/#/axios';
import type { TreeEntity, Page } from '/@/api/common/data/entity';

export type ProjectParams = Page & Project;

export interface Project extends TreeEntity {
    code: string;
    contact: string;
    phone: string;
    address: string;
    email: string;
    status: string;
}

export type ProjectResult = R<Project[]>;
