import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type PushBlacklistParams = Page & PushBlacklist;

export interface PushBlacklist {
  concernUserId: string;
  fanUserId: string;
  deptName: string;
  createByName: string;
  updateByName: string;
  nickName: string;
  sex: string;
  deptId: string;
  updateTime: string;
  avatar: string;
  userName: string;
  updateById: string;
  loginTime: string;
  phone: string;
  createTime: string;
  loginIp: string;
  createById: string;
  userType: string;
  email: string;
  remarks: string;
  [key:string]: any;
}

export type PushBlacklistResult = R<PushBlacklist[]>;
