import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type PushChatMessageParams = Page & PushChatMessage;

export interface PushChatMessage {
  id: string;
  userId: string;
  pushUserId: string;
  type: string;
  status: number;
  viewStatus: string;
  pushTypeId: string;
  aliasType: string;
  alias: string;
  displayType: string;
  title: string;
  text: string;
  sound: string;
  playVibrate: string;
  playLights: string;
  playSound: string;
  onlineRingtone: string;
  custom: string;
  [key:string]: any;
}

export type PushChatMessageResult = R<PushChatMessage[]>;
