import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type PushConcernFanParams = Page & PushConcernFan;

export interface PushConcernFan {
  id: string;
  deptName: string;
  createByName: string;
  updateByName: string;
  nickName: string;
  concernUserId: string;
  sex: string;
  deptId: string;
  fanUserId: string;
  updateTime: string;
  avatar: string;
  userName: string;
  updateById: string;
  loginTime?: string;
  phone: string;
  createTime: string;
  loginIp: string;
  createById: string;
  userType: string;
  email: string;
  remarks: string;
  cfStatus: number;
  cfCreateTime: string;
  cfType: string;
  cfRemarks: string;
  blId: string;
  [key:string]: any;
}

export type PushConcernFanResult = R<PushConcernFan[]>;
