import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type PushTypeParams = Page & PushType;

export interface PushType extends CommonEntity {
  id: string;
  name: string;
  playSound: string;
  playVibrate: string;
  playLights: string;
  playToText: string;
  onlineRingtone: string;
  offlineRingtone: string;
  [key:string]: any;
}

export type PushTypeResult = R<PushType[]>;
