import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { BaseEntity } from '/@/api/common/base/entity';

export type GenQueryTypeParams = Page & GenQueryType;

export interface GenQueryType extends BaseEntity {
  id: string;
  label: string;
  value: string;
  sort: number;
  [key: string]: any;
}

export type GenQueryTypeResult = R<GenQueryType[]>;
