import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { BaseEntity } from '/@/api/common/base/entity';

export type GenShowTypeParams = Page & GenShowType;

export interface GenShowType extends BaseEntity {
  id: string;
  label: string;
  value: string;
  sort: number;
  component: string;
  importpath: string;
  [key: string]: any;
}

export type GenShowTypeResult = R<GenShowType[]>;
