import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { BaseEntity } from '/@/api/common/base/entity';

export type GenTableFieldTypeParams = Page & GenTableFieldType;

export interface GenTableFieldType extends BaseEntity {
  id: string;
  typeId: string;
  label: string;
  value: string;
  sort: number;
  [key: string]: any;
}

export type GenTableFieldTypeResult = R<GenTableFieldType[]>;
