import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { BaseEntity } from '/@/api/common/base/entity';

export type GencodeCustomFieldParams = Page & GencodeCustomField;

export interface GencodeCustomField extends BaseEntity {
  id: string;
  name: string;
  objId: string;
  sort: number;
  remarks: string;
  [key: string]: any;
}

export type GencodeCustomFieldResult = R<GencodeCustomField[]>;
