import type { R } from '/#/axios';
import type { Page, CommonEntity } from '/@/api/common/data/entity';
import type { GencodeTemplateObj } from './gencodeTemplateObj';
export type GencodeTemplateGroupParams = Page & GencodeTemplateGroup;

export interface GencodeTemplateGroup extends CommonEntity {
  id: string;
  name: string;
  type: string;
  isSystem: string;
  genCodeTemplateObjList: GencodeTemplateObj[];
  [key: string]: any;
}

export type GencodeTemplateGroupResult = R<GencodeTemplateGroup[]>;
