import type { R } from '/#/axios';
import type { Page, CommonEntity } from '/@/api/common/data/entity';

export type GencodeTemplateObjParams = Page & GencodeTemplateObj;

export interface GencodeTemplateObj extends CommonEntity {
  id: string;
  name: string;
  groupId: string;
  contents: string;
  defaultContents: string;
  sort: string;
  isChild: string;
  index?: string;
  [key: string]: any;
}

export type GencodeTemplateObjResult = R<GencodeTemplateObj[]>;
