/**
 * 提供api模板规范代码参考,请尽量保证编写代码风格跟模板规范代码一致
 * Copyright © 2023-2023 <a href="https://godolphinx.org">海豚生态开源社区</a> All rights reserved.
 * author wangxiang4
 */
import { ModelRepresentation } from '/@/api/platform/workflow/entity/modelRepresentation';
import { defHttp } from '/@/utils/http/axios';

enum Api {
  get = '/workflow_proxy/app/rest/models'
}

export const getModel = (modelId: string) => defHttp.get<ModelRepresentation>({url: `${Api.get}/${modelId}` });
