
export interface FormType {
  /** Name for the form type. */
  name: string;

  /**
   * Retrieve type specific extra information like the list of values for enum types or the format for date types. Look in the userguide for which extra information keys each type provides and what
   * return type they give.
   */
  information: Recordable;
  [key:string]: any;
}
