import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { TaskInfo } from './taskInfo';

export type HistoryTaskInfoParams = Page & HistoryTaskInfo;

export interface HistoryTaskInfo {
  id: string;
  name: string;
  assignee: string;
  executionId: string;
  taskDefKey: string;
  processDefId: string;
  processInsId: string;
  processDefName: string;
  rollBack: boolean;
  comment: string;
  mesName: string;
  mesCode: string;
  mesLevel: string;
  createTime: string;
  endTime: string;
  taskInfo: TaskInfo;
  vars: Recordable;
  [key:string]: any;
}

export type HistoryTaskInfoResult = R<HistoryTaskInfo[]>;
