import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type ProcessDefinitionInfoParams = Page & ProcessDefinitionInfo;

export interface ProcessDefinitionInfo {
  id: string;
  category: string;
  key: string;
  name: string;
  version: string;
  resourceName: string;
  diagramResourceName: string;
  deploymentId: string;
  suspend: string;
  deploymentTime: number;
  [key:string]: any;
}

export type ProcessDefinitionInfoResult = R<ProcessDefinitionInfo[]>;
