import type { ActivityCommentInfo } from './activityCommentInfo';
import type { HistoricActivityInstance } from './historicActivityInstance';

export interface Workflow {
  taskId: string;
  taskName: string;
  taskDefKey: string;
  assignee: string;
  assigneeName: string;
  formKey: string;
  formType: string;
  formReadOnly: boolean;
  title: string;
  processInsId: string;
  processDefId: string;
  processDefKey: string;
  businessId: string;
  businessTable: string;
  vars: Recordable;
  activityCommentInfo: ActivityCommentInfo;
  historicActivityInstance: HistoricActivityInstance;
  [key:string]: any;
}
