import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type ConditionParams = Page & Condition;

export interface Condition {
  id: string;
  name: string;
  expression: string;
  remarks: string;
  [key:string]: any;
}

export type ConditionResult = R<Condition[]>;
