import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';
import type { FormCategory } from './formCategory';
import type { FormDefinitionJson } from './formDefinitionJson';

export type FormDefinitionParams = Page & FormDefinition;

export interface FormDefinition extends CommonEntity {
  id: string;
  categoryId: string;
  name: string;
  formCategory: FormCategory;
  formDefinitionJson: FormDefinitionJson;
  [key:string]: any;
}

export type FormDefinitionResult = R<FormDefinition[]>;
