import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type FormDefinitionJsonParams = Page & FormDefinitionJson;

export interface FormDefinitionJson extends CommonEntity {
  id: string;
  formDefinitionId: string;
  json: string;
  version: number;
  status: string;
  isPrimary: string;
  [key:string]: any;
}

export type FormDefinitionJsonResult = R<FormDefinitionJson[]>;
