import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type WorkflowCopyParams = Page & WorkflowCopy;

export interface WorkflowCopy extends CommonEntity {
  id: string;
  userId: string;
  processDefId: string;
  processInsId: string;
  processDefName: string;
  processInsName: string;
  taskName: string;
  [key:string]: any;
}

export type WorkflowCopyResult = R<WorkflowCopy[]>;
