/**
 * @program: kicc-ui
 * @description: 地图常量枚举
 * @author: wangxiang4
 * @create: 2022/4/9
 */

import { MapLogistic } from '/@/api/platform/common/entity/mapLogistic';
import { cloneDeep } from 'lodash-es';

export const defaultMapData: ()=> MapLogistic = ()=> cloneDeep({
  name: '',
  courierUserId: '',
  courierUserName: '',
  courierLng: null,
  courierLat: null,
  sendOrderId: '',
  sendOrderName: '',
  sendOrderTaskType: '',
  sendOrderLng: null,
  sendOrderLat: null,
  fileId: [],
  estimateTime: '',
  requireTime: '',
  /** 地图任务列表 */
  mapTask: [],
  /** 地图预览点列表 */
  mapLogisticPoint: [],
  /** 地图转办任务预设标记点列表 */
  mapTaskPresetLogisticPoint:[]
});
