/**
 * @program: kicc-ui
 * @description: 基础页面路由枚举
 * @author: wangxiang4
 * @create: 2022/4/9
 */

export enum PageEnum {
  // 项目根路径
  ROOT_HOME = '/',
  // 基本登录路径
  BASE_LOGIN = '/login',
  // 基本首页路径
  BASE_HOME = '/dashboard',
  // 错误页面路径
  ERROR_PAGE = '/exception',
}

export enum SsoLoginPageEnum {
  // KICS系统登陆路径
  SSO_KICS_LOGIN = '/sso/login/kics',
  // KLAB系统登陆路径
  SSO_KLAB_LOGIN = '/sso/login/klab',
}
