/**
 * @program: kicc-ui
 * @description: 推送消息枚举
 * @author: wangxiang4
 * @create: 2023/4/21
 */

export enum PushAuditStatus {
  // 驳回
  REJECTED = -1,
  // 未提交
  NOT_APPLIED = 0,
  // 审核中
  UNDER_REVIEW = 1,
  // 通过
  APPROVED = 2,
}

/** 推送关注类型 */
export enum PushConcernType {
  // 默认类型
  DEFAULT = '0',
  // 内部企业
  INTERNAL_COMPANY = '1',
}

/** 关注粉丝连表查询切换类型 */
export enum PushConcernDynamicJoinType {
  // 粉丝表示
  FAN_TYPE = '0',
  // 关注表
  CONCERN_TYPE = '1',
}
