/**
 * The routing of this file will not show the layout.
 * It is an independent new page.
 * the contents of the file still need to log in to access
 */
import type { AppRouteModule } from '/@/router/types';

export const mainOutRoutes: AppRouteModule[] = [
  {
    path: '/main-out',
    name: 'MainOut',
    component: () => import('/@/views/demo/main-out/index.vue'),
    meta: {
      title: 'MainOut'
    },
  },
  {
    path: '/identity',
    name: 'Identity',
    component: () => import('/@/views/system/user/sso/index.vue'),
    meta: {
      title: 'SSO身份管理',
    },
  },
];

export const mainOutRouteNames = mainOutRoutes.map((item) => item.name);
