import type { R } from '/#/axios';
import { CommonEntity, Page } from '/@/api/common/data/entity';

export type OfficeParams = Office & Page;

export interface Office extends CommonEntity {
    id: string;
    name: string;
    orgType: string;
    orgId: string;
    orgName: string;
    manageName: string;
    managePhone: string;
    detailAddress: string;
    status: string;
}

export type OfficeResult = R<Office[]>;
