import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type OrgParams = Org & Page;

export interface Org extends CommonEntity{
    id: string;
    name: string;
    type: string;
    contactName: string;
    contactPhone: string;
    contactTitle: string;
    addressNames: string;
    regionIds: string;
    detailAddress: string;
    status: string;
    mapOrientation: number;
    mapLng: number;
    mapLat: number;
}

export type OrgResult = R<Org[]>;
