import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type PushApplicationParams = Page & PushApplication;

export interface PushApplication extends CommonEntity {
  id: string;
  name: string;
  status: string;
  ignoreIp: string;
  messageSecret: string;
}

export type PushApplicationResult = R<PushApplication[]>;
