import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type PushChatGroupParams = Page & PushChatGroupType;

export interface PushChatGroupType extends CommonEntity {
  id: string;
  name: string;
  isReviewed: string;
  [key:string]: any;
}

export type PushChatTypeResult = R<PushChatGroupType[]>;
