import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type PushConcernFanTypeParams = Page & PushConcernFanType;

export interface PushConcernFanType {
  id: string;
  name: string;
  userId: string;
  typeId: string;
  defaultType: string;
  playSound: string;
  playVibrate: string;
  playLights: string;
  playToText: string;
  onlineRingtone: string;
  offlineRingtone: string;
  [key:string]: any;
}

export type PushConcernFanTypeResult = R<PushConcernFanType[]>;
