import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type PushEnterpriseParams = Page & PushEnterprise;

export interface PushEnterprise extends CommonEntity {
  id: string;
  name: string;
  repName: string;
  phone: string;
  license: string | string[];
  userId: string;
  creditCode: string;
  idCard: string;
  status: number;
  detailedAddress: string;
  [key:string]: any;
}

export type PushEnterpriseResult = R<PushEnterprise[]>;
