import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type PushRingtoneParams = Page & PushRingtone;

export interface PushRingtone extends CommonEntity {
  id: string;
  name: string;
  ringtone: string | string[];
  [key:string]: any;
}

export type PushRingtoneResult = R<PushRingtone[]>;
