import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

/** 报表系统文件查询参数 */
export type ReportSystemFileParams = Page & ReportSystemFile;

/** 报表系统文件 */
export interface ReportSystemFile extends CommonEntity {
  id: string;
  name: string;
  content: Blob[];
  [key: string]: any;
}

/** 报表系统文件响应对象 */
export type ReportSystemFileResult = R<ReportSystemFile[]>;
