import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { BaseEntity } from '/@/api/common/base/entity';

export type GenCodeParamParams = Page & GenCodeParam;

export interface GenCodeParam extends BaseEntity {
  id: string;
  projectpath: string;
  frontpath: string;
  packagename: string;
  author: string;
  [key: string]: any;
}

export type GenCodeParamResult = R<GenCodeParam[]>;
