import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';
import type { BaseEntity } from '/@/api/common/base/entity';

export type GenDatabaseTypeParams = Page & GenDatabaseType;

export interface GenDatabaseType extends BaseEntity {
  id: string;
  type: string;
  [key: string]: any;
}

export type GenDatabaseTypeResult = R<GenDatabaseType[]>;
