import type { R } from '/#/axios';
import type { Page, CommonEntity } from '/@/api/common/data/entity';

export type GencodeCustomObjParams = Page & GencodeCustomObj;

export interface GencodeCustomObj extends CommonEntity {
  id: string;
  label: string;
  value: string;
  dataUrl: string;
  tableName: string;
  sort: number;
  type: string;
  [key: string]: any;
}

export type GencodeCustomObjResult = R<GencodeCustomObj[]>;
