import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type TaskInfoParams = Page & TaskInfo;

export interface TaskInfo {
  id: string;
  name: string;
  assignee: string;
  executionId: string;
  taskDefKey: string;
  createTime: string;
  processDefId: string;
  processInsId: string;
  processDefKey: string;
  [key:string]: any;
}

export type TaskInfoResult = R<TaskInfo[]>;
