import type { R } from '/#/axios';
import type { CommonEntity, Page } from '/@/api/common/data/entity';

export type ActivityExtensionPropertyParams = Page & ActivityExtensionProperty;

export interface ActivityExtensionProperty extends CommonEntity {
  id:string;
  processDefId: string;
  activityDefId: string;
  key: string;
  value: string;
  [key: string]: any;
}

export type ActivityExtensionPropertyResult = R<ActivityExtensionProperty[]>;
