import type { R } from '/#/axios';
import type { Page } from '/@/api/common/data/entity';

export type ListenerParams = Page & Listener;

export interface Listener {
  id: string;
  name: string;
  listenerType: number;
  event: string;
  valueType: number;
  value: string;
  [key:string]: any;
}

export type ListenerResult = R<Listener[]>;
