/**
 * @program: kicc-ui
 * @description: 中文国际化配置
 * @author: wangxiang4
 * @create: 2022/4/9
 */

import { genMessage } from '../helper';
import antdLocale from 'ant-design-vue/es/locale/zh_CN';

const modules = import.meta.globEager('./zh-CN/**/*.ts');
export default {
  message: {
    ...genMessage(modules as Recordable<Recordable>, 'zh-CN'),
    antdLocale,
  }
};
