/**
 * @program: kicc-ui
 * @description: 创建pinia数据存储实例
 * @author: wangxiang4
 * @create: 2022/4/7
 */

import type { App } from 'vue';
import { createPinia } from 'pinia';

const store = createPinia();

export function setupStore(app: App<Element>) {
  app.use(store);
}

export { store };
