import { BasicColumn } from '/@/components/Table';
import { FormSchema } from '/@/components/Table';

export const columns: BasicColumn[] = [
  {
    title: '地图名称',
    dataIndex: 'name',
    width: 120,
  },
  {
    title: '收样员名称',
    dataIndex: 'courierUserName',
  },
  {
    title: '收样员起点经度值',
    dataIndex: 'courierLng',
  },
  {
    title: '收样员起点纬度值',
    dataIndex: 'courierLat',
  },
  {
    title: '发单下级医院名称',
    dataIndex: 'sendOrderName',
  },
  {
    title: '发单起点经度值',
    dataIndex: 'sendOrderLng',
  },
  {
    title: '发单起点纬度值',
    dataIndex: 'sendOrderLat',
  },
];

export const searchFormSchema: FormSchema[] = [
  {
    field: 'name',
    label: '地图名称' ,
    component: 'Input',
    componentProps: {
      placeholder: '请输入地图名称',
    },
    colProps: { span: 8 },
  }
];
